> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get portfolio margin call status

> Returns the margin call status for a given portfolio.



## OpenAPI

````yaml GET /api/v1/portfolios/{portfolio}/margin-call-status
openapi: 3.0.3
info:
  title: REST API
  description: >
    # Welcome to Coinbase INTX API

    ## Introduction

    The INTX APIs allow institutions to trade and manage orders on the
    International Exchange. The following API pages detail various REST API
    endpoints we offer.

    ## Getting Started

    To get started, please visit one of the following pages:

    - [Quickstart](/international-exchange/introduction/quickstart)

    -
    [Overview](/api-reference/international-exchange-api/rest-api/introduction)

    -
    [Authentication](/api-reference/international-exchange-api/rest-api/authentication)

    - [Rate Limits](/international-exchange/introduction/rate-limits-overview)

    ## FIX API

    - [FIX API reference](/international-exchange/fix-api/fix-api-overview)

    ## WebSocket API

    - [WebSocket API
    reference](/international-exchange/websocket-feed/websocket-overview)
  version: '1.0'
servers:
  - url: https://api.international.coinbase.com
security: []
paths:
  /api/v1/portfolios/{portfolio}/margin-call-status:
    get:
      tags:
        - Portfolios
      summary: Get portfolio margin call status
      description: Returns the margin call status for a given portfolio.
      operationId: getPortfolioMarginCallStatus
      parameters:
        - name: portfolio
          in: path
          description: >-
            Identifies the portfolio by UUID (e.g.,
            `892e8c7c-e979-4cad-b61b-55a197932cf1`) or portfolio ID (e.g.,
            `5189861793641175`)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Margin call status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PortfolioMarginCallStatusReadResult_V1'
        '400':
          description: Invalid attribute
      security:
        - auth_client_id: []
          auth_passphrase: []
          auth_signature: []
          auth_timestamp: []
components:
  schemas:
    PortfolioMarginCallStatusReadResult_V1:
      type: object
      properties:
        portfolio_id:
          description: portfolio ID
          type: string
          example: 14thr7ft-1-0
        status:
          description: The status of the margin call
          type: string
          enum:
            - NOT_LIQUIDATING
            - MARGIN_CALL_PENDING
            - LIQUIDATING
          example: MARGIN_CALL_PENDING
        margin_call_duration:
          description: the ISO 8601 duration from a margin call start to expiry
          type: string
          example: 6H
        active_margin_call:
          $ref: '#/components/schemas/ActiveMarginCall'
    ActiveMarginCall:
      description: details of an active margin call if there is one
      type: object
      properties:
        start_time:
          description: the start time of the margin call in UTC
          type: string
          example: '2023-01-29T14:32:28.000Z'
        expiry_time:
          description: the expiry time of the margin call in UTC
          type: string
          example: '2023-01-29T20:32:28.000Z'
        margin_call_amount:
          description: >-
            the collateral value required to bring the portfolio back to
            healthy, of which at least `usdc_requirement` has to be USDC.
          type: number
          example: 10200
        usdc_requirement:
          description: the usdc value required to resolve rolling debt
          type: number
          example: 500
        cure_requirements:
          description: the requirements to cure a margin call
          type: object
          properties:
            initial_margin_deficit:
              description: the portfolio equity has to meet the initial margin requirement
              type: boolean
            usdc_requirement:
              description: the portfolio has to repay rolling debt
              type: boolean
  securitySchemes:
    auth_client_id:
      type: apiKey
      name: CB-ACCESS-KEY
      in: header
      description: The Client ID that owns the API Key for the request
    auth_passphrase:
      type: apiKey
      name: CB-ACCESS-PASSPHRASE
      in: header
      description: The pass phrase affiliated with the API Key
    auth_signature:
      type: apiKey
      name: CB-ACCESS-SIGN
      in: header
      description: >-
        A HMAC SHA-256 signature using the API Key secret on the string
        TIMESTAMP, METHOD, REQUEST_PATH, BODY
    auth_timestamp:
      type: apiKey
      name: CB-ACCESS-TIMESTAMP
      in: header
      description: The timestamp of when the request is being made

````